Page MenuHomePhabricator

[LLDB][MIPS] Setting appropriate ArchSpec::m_flags based on ABI
ClosedPublic

Authored by nitesh.jain on Apr 7 2016, 7:02 AM.

Details

Reviewers
ovyalov
clayborg
Summary

The ArchSpec::m_flags will be set based on ELF flag ABI.

Diff Detail

Repository
rL LLVM

Event Timeline

nitesh.jain updated this revision to Diff 52911.Apr 7 2016, 7:02 AM
nitesh.jain retitled this revision from to [LLDB][MIPS] Setting appropriate ArchSpec::m_flags based on ABI.
nitesh.jain updated this object.
nitesh.jain added reviewers: clayborg, ovyalov.
nitesh.jain set the repository for this revision to rL LLVM.
nitesh.jain added subscribers: jaydeep, bhushan, slthakur and 2 others.
clayborg accepted this revision.Apr 7 2016, 9:25 AM
clayborg edited edge metadata.

Looks good.

source/Plugins/ObjectFile/ELF/ObjectFileELF.cpp
1625–1626

Should we add a function like:

bool ArchSpec::IsMIPS() const;

Every patch I see for MIPS has these same four machine checks. If we add another we will need to update all places that do this..

This revision is now accepted and ready to land.Apr 7 2016, 9:25 AM
ovyalov accepted this revision.Apr 7 2016, 10:24 AM
ovyalov edited edge metadata.

lgtm

nitesh.jain added inline comments.Apr 13 2016, 10:10 PM
source/Plugins/ObjectFile/ELF/ObjectFileELF.cpp
1625–1626

I agree with you. We need to add above function so it will be easy for future updates. I will update the diff as per suggestion

nitesh.jain edited edge metadata.

Added IsMIPS() method.

nitesh.jain closed this revision.May 11 2016, 6:21 AM

Commited in revision 269181